Bug 463130 - Review Request: perl-IPC-Run-SafeHandles - Use IPC::Run and IPC::Run3 safely
Review Request: perl-IPC-Run-SafeHandles - Use IPC::Run and IPC::Run3 safely
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459536
  Show dependency treegraph
 
Reported: 2008-09-22 01:08 EDT by Ralf Corsepius
Modified: 2010-07-07 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-09-22 01:08:58 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-IPC-Run-SafeHandles.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-IPC-Run-SafeHandles-0.02-1.fc10.src.rpm
Description:
IPC::Run and IPC::Run3 are both very upset when you try to use them under
environments where you have STDOUT and/or STDERR tied to something else,
such as under fastcgi.

This package is a requirement of rt-3.8.x's testsuite.
Comment 1 manuel wolfshant 2008-09-22 01:41:54 EDT
with the hope to see rt-3.8 in EPEL....


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: d80afc773737dc40e19024dedf455b04f3ce021b IPC-Run-SafeHandles-0.02.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.                                                                      [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.                                                                                 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

 Also all tests (%make check) pass


================
*** APPROVED ***
================
Comment 2 Ralf Corsepius 2008-09-22 02:14:56 EDT
Wow, that was fast :-) Thanks.

(In reply to comment #1)
> with the hope to see rt-3.8 in EPEL....
Well, ATM, I'd be happy, to get rt-3.8 in Fedora ;)

Unfortunately, the "incident" and Rel-Eng's procedures (freezes are strangling development) make this a tedious job :(


Wrt. EL-5: I am not supporting it.
Feel free to make yourself co-maintainer of EL-incarnations of the (numerous) perl-modules in rt3's depencencies, which are (still) missing in EL.
Comment 3 Ralf Corsepius 2008-09-22 02:44:08 EDT
New Package CVS Request
=======================
Package Name: perl-IPC-Run-SafeHandles
Short Description: Use IPC::Run and IPC::Run3 safely
Owners: corsepiu
Branches: F-9 F-8
InitialCC: perl-sig
Comment 4 Huzaifa S. Sidhpurwala 2008-09-22 05:38:42 EDT
cvs done
Comment 5 Ralf Corsepius 2008-09-22 07:11:41 EDT
With this package cvs-import has worked, but it exposes the same bodhi issues as perl-Log-Dispatch-Perl.
Comment 6 Fedora Update System 2008-09-22 08:13:10 EDT
perl-IPC-Run-SafeHandles-0.02-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-IPC-Run-SafeHandles-0.02-1.fc9
Comment 7 Fedora Update System 2008-09-22 08:14:09 EDT
perl-IPC-Run-SafeHandles-0.02-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/perl-IPC-Run-SafeHandles-0.02-1.fc8
Comment 8 Fedora Update System 2008-09-24 20:09:56 EDT
perl-IPC-Run-SafeHandles-0.02-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-09-24 20:19:28 EDT
perl-IPC-Run-SafeHandles-0.02-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Mark Chappell 2010-07-05 11:40:44 EDT
Package Change Request
======================
Package Name: perl-IPC-Run-SafeHandles
New Branches: EL-6
Owners: tremble

corsepiu listed as not interested in EPEL
Comment 11 Kevin Fenzi 2010-07-07 21:14:39 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.